# Submit feedback

Submits feedback.

```http
POST https://api.pozy.ai/v1/feedback
```

- Area: Workspace / Feedback
- Auth: Authorization: Bearer pz_live_...

## Request body

Content type: `application/json`

- `type`, string, required: One of `bug`, `missing_feature`, `docs`, `other`
- `summary`, string, required: 1 to 200 characters
- `details`, string: Up to 5000 characters
- `endpoint`, string: Up to 300 characters
- `requestId`, string: Up to 200 characters
- `expected`, string: Up to 2000 characters
- `actual`, string: Up to 2000 characters
- `agent`, object
  - `name`, string: Up to 100 characters
  - `model`, string: Up to 100 characters

## Example request

```bash
curl -X POST "https://api.pozy.ai/v1/feedback" \
  -H "Authorization: Bearer $POZY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "type": "bug",
  "summary": "string"
}'
```

```ts
const res = await fetch("https://api.pozy.ai/v1/feedback", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.POZY_API_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    type: "bug",
    summary: "string"
  }),
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.post(
    "https://api.pozy.ai/v1/feedback",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    json={
        "type": "bug",
        "summary": "string",
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `id`, string
- `status`, string: One of `received`
- `duplicate`, boolean

```json
{
  "id": "6bfebd43ddc270f6d2c56fc5",
  "status": "received",
  "duplicate": true
}
```
